## powertop 1.8

=== Makefile ===
BINDIR=/usr/bin
LOCALESDIR=/usr/share/locale
MANDIR=/usr/share/man/man1
WARNFLAGS=-Wall  -W -Wshadow
CFLAGS?=-Os -g ${WARNFLAGS}
CC?=gcc


# 
# The w in -lncursesw is not a typo; it is the wide-character version
# of the ncurses library, needed for multi-byte character languages
# such as Japanese and Chinese etc.
#
# On Debian/Ubuntu distros, this can be found in the
# libncursesw5-dev package. 
#

OBJS = powertop.o config.o process.o misctips.o bluetooth.o display.o suggestions.o wireless.o cpufreq.o \
	sata.o xrandr.o ethernet.o cpufreqstats.o usb.o
	

powertop: $(OBJS) Makefile powertop.h
	$(CC) ${CFLAGS}  $(OBJS) -lncursesw -o powertop
	@(cd po/ && $(MAKE))

powertop.1.gz: powertop.1
	gzip -c $< > $@

install: powertop powertop.1.gz
	mkdir -p ${DESTDIR}${BINDIR}
	cp powertop ${DESTDIR}${BINDIR}
	mkdir -p ${DESTDIR}${MANDIR}
	cp powertop.1.gz ${DESTDIR}${MANDIR}
	@(cd po/ && env LOCALESDIR=$(LOCALESDIR) DESTDIR=$(DESTDIR) $(MAKE) $@)

# This is for translators. To update your po with new strings, do :
# svn up ; make uptrans LG=fr # or de, ru, hu, it, ...
uptrans:
	xgettext -C -s -k_ -o po/powertop.pot *.c *.h
	@(cd po/ && env LG=$(LG) $(MAKE) $@)

clean:
	rm -f *~ powertop powertop.1.gz po/powertop.pot DEADJOE svn-commit* *.o *.orig 
	@(cd po/ && $(MAKE) $@)


dist:
	rm -rf .svn po/.svn DEADJOE po/DEADJOE todo.txt Lindent svn-commit.* dogit.sh git/ *.rej *.orig

## powertop 1.9

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 #
 
 OBJS = powertop.o config.o process.o misctips.o bluetooth.o display.o suggestions.o wireless.o cpufreq.o \
-	sata.o xrandr.o ethernet.o cpufreqstats.o usb.o
+	sata.o xrandr.o ethernet.o cpufreqstats.o usb.o urbnum.o
 	
 
 powertop: $(OBJS) Makefile powertop.h

=== po/Makefile ===
SRC=$(wildcard *.po)
OBJ= $(SRC:.po=.mo)
INST= $(SRC:.po=.inst)

translations: $(OBJ)
	
%.mo: %.po
	-@msgfmt -o $@  $<

clean:
	rm -f *.mo *~

# hack to automate installation dynamicaly, without previous knowledge of 
# the po/mo file list (we fool make by pretending the need for .inst files).
install: $(OBJ) $(INST)

%.inst: %.mo
	mkdir -p $(DESTDIR)$(LOCALESDIR)/$*/LC_MESSAGES/
	-cp -f $< $(DESTDIR)$(LOCALESDIR)/$*/LC_MESSAGES/powertop.mo

uptrans: $(LG).po

$(LG).po: powertop.pot
ifdef LG
	msgmerge -U $@ $<
else
	@echo "Usage : make uptrans LG=xx # with xx = de, es, fi ..."
	@exit 1
endif

## powertop 1.11+git20091208

=== Makefile ===
BINDIR=/usr/bin
LOCALESDIR=/usr/share/locale
MANDIR=/usr/share/man/man8
WARNFLAGS=-Wall  -W -Wshadow
CFLAGS?=-O1 -g ${WARNFLAGS}
CC?=gcc


# 
# The w in -lncursesw is not a typo; it is the wide-character version
# of the ncurses library, needed for multi-byte character languages
# such as Japanese and Chinese etc.
#
# On Debian/Ubuntu distros, this can be found in the
# libncursesw5-dev package. 
#

OBJS = powertop.o config.o process.o misctips.o bluetooth.o display.o suggestions.o wireless.o cpufreq.o \
	sata.o xrandr.o ethernet.o cpufreqstats.o usb.o urbnum.o intelcstates.o wifi-new.o perf.o \
	alsa-power.o ahci-alpm.o dmesg.o
	

powertop: $(OBJS) Makefile powertop.h
	$(CC) ${CFLAGS} $(LDFLAGS) $(OBJS) -lncursesw -o powertop
	@(cd po/ && $(MAKE))

powertop.8.gz: powertop.8
	gzip -c $< > $@

install: powertop powertop.8.gz
	mkdir -p ${DESTDIR}${BINDIR}
	cp powertop ${DESTDIR}${BINDIR}
	mkdir -p ${DESTDIR}${MANDIR}
	cp powertop.8.gz ${DESTDIR}${MANDIR}
	@(cd po/ && env LOCALESDIR=$(LOCALESDIR) DESTDIR=$(DESTDIR) $(MAKE) $@)

# This is for translators. To update your po with new strings, do :
# svn up ; make uptrans LG=fr # or de, ru, hu, it, ...
uptrans:
	@(cd po/ && env LG=$(LG) $(MAKE) $@)

clean:
	rm -f *~ powertop powertop.8.gz po/powertop.pot DEADJOE svn-commit* *.o *.orig 
	@(cd po/ && $(MAKE) $@)


dist:
	rm -rf .svn po/.svn DEADJOE po/DEADJOE todo.txt Lindent svn-commit.* dogit.sh git/ *.rej *.orig

## powertop 1.13

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,13 @@
+VERSION = 1.13
+
 BINDIR=/usr/bin
 LOCALESDIR=/usr/share/locale
 MANDIR=/usr/share/man/man8
-WARNFLAGS=-Wall  -W -Wshadow
-CFLAGS?=-O1 -g ${WARNFLAGS}
+WARNFLAGS=-Wall -Wshadow -W -Wformat -Wimplicit-function-declaration -Wimplicit-int
+CFLAGS=-O1 -g ${WARNFLAGS}
 CC?=gcc
 
+CFLAGS+=-D VERSION=\"$(VERSION)\"
 
 # 
 # The w in -lncursesw is not a typo; it is the wide-character version
@@ -17,7 +20,7 @@
 
 OBJS = powertop.o config.o process.o misctips.o bluetooth.o display.o suggestions.o wireless.o cpufreq.o \
 	sata.o xrandr.o ethernet.o cpufreqstats.o usb.o urbnum.o intelcstates.o wifi-new.o perf.o \
-	alsa-power.o ahci-alpm.o dmesg.o
+	alsa-power.o ahci-alpm.o dmesg.o devicepm.o
 	
 
 powertop: $(OBJS) Makefile powertop.h
@@ -33,6 +36,9 @@
 	mkdir -p ${DESTDIR}${MANDIR}
 	cp powertop.8.gz ${DESTDIR}${MANDIR}
 	@(cd po/ && env LOCALESDIR=$(LOCALESDIR) DESTDIR=$(DESTDIR) $(MAKE) $@)
+	
+valgrind: powertop
+	 sudo valgrind ./powertop -d -t 5 1> /dev/null
 
 # This is for translators. To update your po with new strings, do :
 # svn up ; make uptrans LG=fr # or de, ru, hu, it, ...
@@ -45,4 +51,6 @@
 
 
 dist:
-	rm -rf .svn po/.svn DEADJOE po/DEADJOE todo.txt Lindent svn-commit.* dogit.sh git/ *.rej *.orig
+	git tag v$(VERSION)
+	git archive --format=tar --prefix="powertop-$(VERSION)/" v$(VERSION) | \
+		gzip > powertop-$(VERSION).tar.gz

## powertop 1.97

=== Makefile ===
all: powertop  po/powertop.pot

VERSION := 1.97

CFLAGS += -Wall -O2 -g -fno-omit-frame-pointer -fstack-protector -Wshadow -Wformat -D_FORTIFY_SOURCE=2
CPPFLAGS += -Wall -O2 -g -fno-omit-frame-pointer
CXXFLAGS += -Wall -O2 -g -fno-omit-frame-pointer -fstack-protector -Wshadow -Wformat -D_FORTIFY_SOURCE=2
PKG_CONFIG ?= pkg-config

OBJS := lib.o main.o display.o html.o devlist.o
OBJS += cpu/cpu.o cpu/abstract_cpu.o cpu/cpu_linux.o cpu/cpu_core.o cpu/cpu_package.o cpu/intel_cpus.o  cpu/cpudevice.cpp
OBJS += perf/perf.o perf/perf_bundle.o
OBJS += process/process.o process/do_process.o process/interrupt.o process/timer.o process/work.o process/powerconsumer.o process/device.o
DEVS += devices/device.o devices/backlight.o devices/usb.o devices/ahci.o devices/alsa.o devices/rfkill.o devices/i915-gpu.o devices/thinkpad-fan.o devices/network.o
DEVS += devices/runtime_pm.o
DEVS += measurement/measurement.o measurement/acpi.o
OBJS += $(DEVS)
OBJS += parameters/parameters.o parameters/learn.o parameters/persistent.o
OBJS += calibrate/calibrate.o

OBJS += tuning/tuning.o tuning/tunable.o tuning/sysfs.o tuning/usb.o tuning/runtime.o tuning/bluetooth.o
OBJS += tuning/cpufreq.o tuning/ethernet.o tuning/iw.o tuning/wifi.o


NL1FOUND := $(shell $(PKG_CONFIG) --atleast-version=1 libnl-1 && echo Y)
NL2FOUND := $(shell $(PKG_CONFIG) --atleast-version=2 libnl-2.0 && echo Y)

ifeq ($(NL1FOUND),Y)
NLLIBNAME = libnl-1
endif

ifeq ($(NL2FOUND),Y)
CFLAGS += -DCONFIG_LIBNL20
LIBS += -lnl-genl
NLLIBNAME = libnl-2.0
endif

ifeq ($(NLLIBNAME),)
$(error Cannot find development files for any supported version of libnl)
endif

LIBS += $(shell $(PKG_CONFIG) --libs $(NLLIBNAME))
CFLAGS += $(shell $(PKG_CONFIG) --cflags $(NLLIBNAME))



#
# ncurses-devel and pciutils-devel 
#

LIBS += -lpthread -lncursesw -lpci -lz -lresolv

HEADERS := cpu/cpu.h


PREFIX     ?= /usr
BINDIR      = $(PREFIX)/bin
LOCALESDIR  = $(PREFIX)/share/locale
MANDIR      = $(PREFIX)/share/man/man8


clean:
	rm -f *.o *~ powertop DEADJOE core.* */*.o */*~ csstoh css.h
	
powertop: $(OBJS) $(HEADERS)
	g++ $(OBJS) $(LIBS) -o powertop
	@(cd po/ && $(MAKE))
	
install: powertop
	mkdir -p ${DESTDIR}${BINDIR}
	cp powertop ${DESTDIR}${BINDIR}
	mkdir -p ${DESTDIR}${PREFIX}/var/cache/powertop
	@(cd po/ && env LOCALESDIR=$(LOCALESDIR) DESTDIR=$(DESTDIR) $(MAKE) $@)
	

csstoh: csstoh.c
	gcc -o csstoh csstoh.c

css.h: csstoh powertop.css
	./csstoh powertop.css css.h


%.o: %.cpp lib.h css.h Makefile
	@echo "  CC  $<"
	@[ -x /usr/bin/cppcheck ] && /usr/bin/cppcheck -q $< || :
	@$(CC) $(CFLAGS) -c -o $@ $<


uptrans:
	@(cd po/ && env LG=$(LG) $(MAKE) $@)


po/powertop.pot: *.cpp */*.cpp *.h */*.h
	xgettext -C -s -k_ -o po/powertop.pot *.cpp */*.cpp *.h */*.h


dist:
	git tag v$(VERSION)
	git archive --format=tar --prefix="powertop-$(VERSION)/" v$(VERSION) | \
		gzip > powertop-$(VERSION).tar.gz

=== po/Makefile ===
SRC=$(wildcard *.po)
OBJ= $(SRC:.po=.mo)
INST= $(SRC:.po=.inst)

translations: $(OBJ)
	
%.mo: %.po
	msgfmt -o $@  $<

clean:
	rm -f *.mo *~ powertop.pot

powertop.pot: Makefile ../*.cpp ../*/*.cpp
	xgettext -C -s -k_ -o powertop.pot ../*.cpp ../*/*.cpp ../*.h

# hack to automate installation dynamicaly, without previous knowledge of 
# the po/mo file list (we fool make by pretending the need for .inst files).
install: $(OBJ) $(INST)

%.inst: %.mo
	mkdir -p $(DESTDIR)$(LOCALESDIR)/$*/LC_MESSAGES/
	-cp -f $< $(DESTDIR)$(LOCALESDIR)/$*/LC_MESSAGES/powertop.mo

uptrans: $(LG).po powertop.pot ../*.cpp ../*/*.cpp

$(LG).po: powertop.pot
ifdef LG
	msgmerge -U $@ $<
	msgfmt --statistics $@
else
	@echo "Usage : make uptrans LG=xx # with xx = de, es, fi ..."
	@exit 1
endif

=== debian/changelog ===
powertop (1.97-2) unstable; urgency=low

  * Fix a build failure on ia64
  * Add a return(0) at the end of csstoh.c to 
    as sparc seems to defaults to exit code 3

 -- Patrick Winnertz <winnie@debian.org>  Thu, 17 Mar 2011 16:24:40 +0100

powertop (1.97-1) unstable; urgency=low

  * Imported Upstream version 1.97
  * Correct watch file to point to the correct place
  * Switch to source/format 3.0 (quilt)
  * Bump standards-version to 3.9.1 - no further changes needed
  * Acknowlegde NMU of Serafeim Zanikolas (Closes: #570662)
  * Fix build-deps (Added pkg-config, libnl2-dev & libpci-dev)
  * Fix typo
  * Remove make uptrans from build as it's not working in 2.0 beta
  * Remove manpage as the manpage was removed from upstream
  * Fix path for /var/cache/powertop (remove ${PREFIX})

 -- Patrick Winnertz <winnie@debian.org>  Fri, 11 Feb 2011 22:05:15 +0100

powertop (1.13-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing include to fix FTBFS on ia64 and alpha (Closes: #570662)

 -- Serafeim Zanikolas <sez@debian.org>  Fri, 15 Oct 2010 00:07:37 +0200

powertop (1.13-1) unstable; urgency=low

  * New upstream version 
    + Should fix FTBFS an alpha (Closes: #570662)
    + Fix crash with too long config files (Closes: #589438)

 -- Patrick Winnertz <winnie@debian.org>  Thu, 29 Jul 2010 11:32:48 +0200

powertop (1.13~pre20100125-1) unstable; urgency=low

  * Package git snapshot from 2010-01-25 (Closes: #563498)
    - fix reporting of incorrect wattage 
      (Closes: #497929, #558776)
    - doesn't exit when xterm is resized (Closes: #488973)
    - show P-states again in some rare cases (Closes: #562516)
      at least this bug is not longer reproducable with this 
      new version
    - number of wakeups should be now correct (Closes: #502596)
    - manpage contains now more informations (Closes: #470498)
  * remove now unneeded patches and dropped dpatch build system
  * bumped standards version to 3.8.3, no further changes needed
  * fix lintian warning about copyright template

 -- Patrick Winnertz <winnie@debian.org>  Mon, 25 Jan 2010 23:20:55 +0100

powertop (1.11-1) unstable; urgency=low

  * New upstream release
     + reports now correct wattage (at least for me) (Closes: #497929)
  * Add patch in order to remove bashism in output (Closes: #509811)
  * Removed patches as they are now applied upstream:
     + patches/fix-eof.dpatch
     + patches/add-support-for-charge_now.dpatch
     + patches/fix-suggest-usb-autosuspend.dpatch
     + patches/fix-hal-disable-polling.dpatch
 

 -- Patrick Winnertz <winnie@debian.org>  Tue, 13 Jan 2009 00:02:01 +0100

powertop (1.10-2) unstable; urgency=high

  * Support batteries that do not report energy_now, by reading change_now.
    (Closes: #486873, #495638, #495348)

 -- Patrick Winnertz <winnie@debian.org>  Mon, 01 Sep 2008 20:31:51 +0200

powertop (1.10-1) unstable; urgency=low

  * New upstream version (Closes: #486510)
    - changed from proc to sys interface (Closes: #462796, #483603)
  * Build a PO template on package build (Closes: #471852)
  * spell Linux correctly: Linux (control file)
  * powertop now quits if it get a EOF (Closes: 458984)
  * Updated watch file (Closes: #486509)
  * Removed usb patch, source has changed completely. hopefully it was fixed
    by upstream.  

 -- Patrick Winnertz <winnie@debian.org>  Mon, 16 Jun 2008 23:55:10 +0200

powertop (1.9-2) unstable; urgency=low

  * Changed my maintainer address
  * Bumped Standards-Version to 3.7.3.
  * Instead of using /dev/scd0 as disk drive use /dev/cdrom for
    hal-disable-polling (Created patch fix-hal-disable-polling.dpatch) 
    (Closes: #443594)
  * This time fix really the usb autosuspend issue. (Closes: #444817)
  * Add a Homepage field to control.

 -- Patrick Winnertz <winnie@debian.org>  Sun, 16 Dec 2007 23:33:32 +0100

powertop (1.9-1) unstable; urgency=low

  * Packaging new upstream release. (Closes: #451370)
  * Fix the wrong implementation of usb autosuspend (Closes: #444817)

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Thu, 22 Nov 2007 13:17:38 +0100

powertop (1.8-1) unstable; urgency=low

  * Packaging new upstream release. 
  * Correct the dependency to laptop-mode-tools. (Closes: #438616)
  * Correct the command line syntax of hal-disable-polling (Closes: #435882)
  * Allow powertop to build on all archs since some information are still
    there (wakeup counts).

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Mon, 20 Aug 2007 22:23:53 +0200

powertop (1.7~svn-r227-3) unstable; urgency=low

  * debian/control:
   + Changed the `arch" field to: `i386 amd64 ia64'. (Closes: #435972)
  * debian/copyright:
   + Fixed the license related issue, updated to just GPL2 including the
   license address to `/usr/share/common-licenses/GPL-2'. (Closes: #436367)

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Thu, 16 Aug 2007 23:01:09 -0400

powertop (1.7~svn-r227-2) unstable; urgency=low

  * Thanks to Krzysztof Burghardt for the new package release, but
    remove him as co-maintainer, as he is none after all

 -- Patrick Winnertz <patrick.winnertz@skolelinux.org>  Fri, 13 Jul 2007 20:39:21 +0200

powertop (1.7~svn-r227-1) unstable; urgency=low

  * New co-maintainer
  * New upstream (closes: #429305, #430035, #427345)
  * Moved binary to /usr/sbin as it need to be run by root (closes: #427548)
  * debian/copyright:
   + changed a bit to fulfill standard look

 -- Krzysztof Burghardt <krzysztof@burghardt.pl>  Sat, 23 Jun 2007 20:30:02 +0200

powertop (1.5-2) unstable; urgency=low

  * debian/control:
   + Two leading spaces for Homepage (Closes: #426606)
  * debian/changelog:
   + Fixed typo on "Cooperation" now "Corporation" (Closes: #426605)

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Wed, 30 May 2007 08:46:08 -0400

powertop (1.5-1) unstable; urgency=low

  * New upstream release available (Closes: #426507)
  * Adding Build-Depends: libncursesw5-dev since powertop fails to build without it.


=== debian/control ===
Source: powertop
Section: utils
Priority: optional
Maintainer: Patrick Winnertz <winnie@debian.org>
Uploaders: Jose Luis Rivas <ghostbar38@gmail.com>
Build-Depends: cdbs, debhelper (>= 5), libncursesw5-dev, libncurses5-dev, libnl2-dev, pkg-config, libpci-dev
Standards-Version: 3.9.1
Homepage: http://www.linuxpowertop.org

Package: powertop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: cpufrequtils, laptop-mode-tools
Description: Linux tool to find out what is using power on a laptop
 PowerTOP is a Linux tool that finds the software component(s) that
 make your laptop use more power than necessary while it is idle. As of
 Linux kernel version 2.6.21, the kernel no longer has a fixed 1000Hz
 timer tick. This will (in theory) give a huge power savings because
 the CPU stays in low power mode for longer periods of time during
 system idle.
 .
 However... there are many things that can ruin the party, both inside
 the kernel and in userspace. PowerTOP combines various sources of
 information from the kernel into one convenient screen so that you can
 see how well your system is doing, and which components are the
 biggest problem.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/dpatch.mk

DEB_MAKE_INSTALL_TARGET = install BINDIR=/usr/sbin DESTDIR=`pwd`/debian/powertop
DEB_MAKE_EXTRA_ARGS =

=== debian/watch ===
version=3
http://www.kernel.org/pub/linux/status/powertop/powertop-([\d\.]*).tar.gz

## powertop 2.0

=== debian/changelog ===
powertop (2.0-0.3) unstable; urgency=high

  * Non-maintainer upload.
  * Add patch long-process-names-nullterm.patch to prevent a crash
    on paticularly long process names (Closes: #682388)

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 21 Apr 2013 00:38:10 +0100

powertop (2.0-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Drop debian/patches/fix_libnl_version.patch. This patch actually doesn't
    make any sense and only causes a FTBFS on ia64 since it modifies
    configure.ac without properly updating the build system afterwards.
    (Closes: #679629)

 -- Michael Biebl <biebl@debian.org>  Sat, 30 Jun 2012 16:13:46 +0200

powertop (2.0-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream version (Closes: #665695, #672555, #652466, #638300)
  * Build against libnl3 (Closes: #656421)
  * Add manpage, cherry-picked from upstream sources (Closes: #564847)
  * Update watch and copyright file (Closes: #650063, #634218)
  * Bump standards version to 3.9.3 (no changes needed)
  * Change debian/compat to 9
  * Add patch to fix issues with building against libnl-3
  * Change build depencies from libnl2-dev to libnl-3-dev and libnl-genl-3-dev
  * Drop no longer needed patches fix_prefix_in_manpage.patch,
    fix_NR_perf_event_open_on_ia64.patch, fix_csstoh_on_sparc
  * Change priority from optional to extra, hence the problem on the QA page
    is addressed which states, that there is a override from optional to
    extra.

 -- Julian Wollrath <jwollrath@web.de>  Tue, 26 Jun 2012 01:02:30 +0200

powertop (1.97-2.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Cyril Brulebois ]
  * Fix FTBFS with gcc 4.7 by fixing missing <unistd.h> includes
    (Closes: #667329).

 -- gregor herrmann <gregoa@debian.org>  Sun, 27 May 2012 14:34:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: powertop
 Section: utils
-Priority: optional
+Priority: extra
 Maintainer: Patrick Winnertz <winnie@debian.org>
 Uploaders: Jose Luis Rivas <ghostbar38@gmail.com>
-Build-Depends: cdbs, debhelper (>= 5), libncursesw5-dev, libncurses5-dev, libnl2-dev, pkg-config, libpci-dev
-Standards-Version: 3.9.1
-Homepage: http://www.linuxpowertop.org
+Build-Depends: cdbs, debhelper (>= 9), libncurses5-dev, libncursesw5-dev, libnl-3-dev, libnl-genl-3-dev, libpci-dev, pkg-config
+Standards-Version: 3.9.3
+Homepage: https://01.org/powertop/
 
 Package: powertop
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_MAKE_INSTALL_TARGET = install BINDIR=/usr/sbin DESTDIR=`pwd`/debian/powertop
DEB_MAKE_EXTRA_ARGS =

=== debian/watch ===
version=3
https://01.org/powertop/downloads https://01.org/powertop/sites/default/files/downloads/powertop-([\d\.]*).tar.bz2

## powertop 2.1

=== debian/changelog ===
powertop (2.1-0ubuntu1) quantal; urgency=low

  * Non-maintainer upload.
  * New upstream release
  * Repacked upstream tarball to remove compiled object files

 -- Marcin Juszkiewicz <marcin.juszkiewicz@linaro.org>  Thu, 23 Aug 2012 17:18:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: powertop
 Section: utils
 Priority: extra
-Maintainer: Patrick Winnertz <winnie@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Patrick Winnertz <winnie@debian.org>
 Uploaders: Jose Luis Rivas <ghostbar38@gmail.com>
 Build-Depends: cdbs, debhelper (>= 9), libncurses5-dev, libncursesw5-dev, libnl-3-dev, libnl-genl-3-dev, libpci-dev, pkg-config
 Standards-Version: 3.9.3

## powertop 2.4

=== debian/changelog ===
powertop (2.4-0ubuntu1) saucy; urgency=low

  * New upstream release 2.4
  * debian/control:
    - Bump standards version to 3.9.4
    - Remove build-depends on cdbs
  * Switch to debhelper only (fixes lintian errors and simplifies build)
    
 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 15 Aug 2013 06:49:42 +1000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: powertop
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Patrick Winnertz <winnie@debian.org>
 Uploaders: Jose Luis Rivas <ghostbar38@gmail.com>
-Build-Depends: cdbs, debhelper (>= 9), libncurses5-dev, libncursesw5-dev, libnl-3-dev, libnl-genl-3-dev, libpci-dev, pkg-config
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), libncurses5-dev, libncursesw5-dev,
+ libnl-3-dev, libnl-genl-3-dev, libpci-dev, pkg-config
+Standards-Version: 3.9.4
 Homepage: https://01.org/powertop/
 
 Package: powertop

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/autotools.mk

#DEB_MAKE_INSTALL_TARGET = install BINDIR=/usr/sbin DESTDIR=`pwd`/debian/powertop
#DEB_MAKE_EXTRA_ARGS = 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

## powertop 2.5

=== debian/changelog ===
powertop (2.5-1ubuntu1) trusty; urgency=low

  * Add arm64 to the supported architecture list in debian/control.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 27 Nov 2013 14:52:32 -0700

powertop (2.5-1) unstable; urgency=low

  * Only build for supported architectures.
  * New upstream release (Closes: #695890, #726539).
    + Use dh-autoreconf to make it build with automake 1.14.
    + Add patch to not use csstoh.sh.
  * Bump standards version to 3.9.5, no changes needed.

 -- Julian Wollrath <jwollrath@web.de>  Sat, 23 Nov 2013 14:02:00 +0100

powertop (2.4-2) unstable; urgency=low

  * debian/copyright: Add missing copyright notices.
  * Add myself as co-maintainer.
  * Add postrm script to remove /var/cache/powertop when purging
    (Closes: #680510).
  * Change architecture to linux-any, since it is a linux specific package.
  * Change package description to something more descriptive.
  * Add debug package (Closes: #679579).
  * Remove unneeded copy of the manpage, use the upstream one instead.
  * Disable silent rules during build.

 -- Julian Wollrath <jwollrath@web.de>  Mon, 02 Sep 2013 17:36:42 -0400

powertop (2.4-1) unstable; urgency=low

  * New upstream release (Closes: #685607, #695893, #659517, #686699, #705993)
  * debian/control:
    + Jose Luis Rivas's email to `ghostbar@debian.org`.
    + Remove build-dependency on `cdbs`. No need anymore.
    + Add dependency on `automake` so `config.{guess,sub}` are auto-updated on
    build.
    + Standards-Version to 3.9.4.
    + Swap on fields maintainer and uploaders.
    + Add Vcs-* fields.
  * debian/watch: upstream changed to `tar.gz` from `tar.bz2`, so reports on
    newer versions were failing to be accurate. (Closes: #695891)
  * Acknowledging NMU's.
  * debian/rules: Simple dh format.
  * debian/patches: changes applied upstream. No need anymore.
  * debian/copyright: update to copyright-format/1.0

 -- Jose Luis Rivas <ghostbar@debian.org>  Fri, 30 Aug 2013 22:47:26 -0430

=== debian/control ===
Source: powertop
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jose Luis Rivas <ghostbar@debian.org>
Uploaders: Patrick Winnertz <winnie@debian.org>, Julian Wollrath <jwollrath@web.de>
Build-Depends: automake, debhelper (>= 9), dh-autoreconf, libncurses5-dev, libncursesw5-dev, libnl-3-dev, libnl-genl-3-dev, libpci-dev, pkg-config
Standards-Version: 3.9.5
Vcs-git: git://github.com/ghostbar/powertop.deb.git
Vcs-browser: https://github.com/ghostbar/powertop.deb
Homepage: https://01.org/powertop/

Package: powertop
Architecture: alpha amd64 armel armhf arm64 hppa i386 m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh4 sparc sparc64 x32
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: cpufrequtils, laptop-mode-tools
Description: diagnose issues with power consumption and management
 PowerTOP is a Linux tool to diagnose issues with power consumption and
 power management. In addition to being a diagnostic tool, PowerTOP also
 has an interactive mode you can use to experiment with various power
 management settings, for cases where the Linux distribution has not
 enabled those settings.
 .
 PowerTOP reports which components in the system are most likely to blame
 for higher-than-needed power consumption, ranging from software
 applications to active components in the system. Detailed screens are
 available for CPU C and P states, device activity, and software activity.

Package: powertop-dbg
Architecture: alpha amd64 armel armhf arm64 hppa i386 m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh4 sparc sparc64 x32
Section: debug
Depends: powertop (=${binary:Version}), ${misc:Depends}
Description: debugging symbols for powertop
 PowerTOP is a Linux tool to diagnose issues with power consumption and
 power management. In addition to being a diagnostic tool, PowerTOP also
 has an interactive mode you can use to experiment with various power
 management settings, for cases where the Linux distribution has not
 enabled those settings.
 .
 PowerTOP reports which components in the system are most likely to blame
 for higher-than-needed power consumption, ranging from software
 applications to active components in the system. Detailed screens are
 available for CPU C and P states, device activity, and software activity.
 .
 This package contains the debugging symbols for powertop.

=== debian/watch ===
version=3
https://01.org/powertop/downloads https://01.org/powertop/sites/default/files/downloads/powertop-([\d\.]*).tar.gz

## powertop 2.6.1

=== debian/changelog ===
powertop (2.6.1-1build1) wily; urgency=medium

  * No-change rebuild using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 10:54:52 +0000

powertop (2.6.1-1) unstable; urgency=medium

  * debian/watch: adjust to new URL. 
  * Change architectures to linux-any, since ia64 is not a release
    architecture anymore.
  * New upstream release.
    + Drop now obsolete patch.
  * Update year in debian/copyright.
  * Drop automake from B-D (pulled in by dh-autoreconf anyways).

 -- Julian Wollrath <jwollrath@web.de>  Wed, 23 Jul 2014 16:28:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: powertop
 Section: utils
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jose Luis Rivas <ghostbar@debian.org>
+Maintainer: Jose Luis Rivas <ghostbar@debian.org>
 Uploaders: Patrick Winnertz <winnie@debian.org>, Julian Wollrath <jwollrath@web.de>
-Build-Depends: automake, debhelper (>= 9), dh-autoreconf, libncurses5-dev, libncursesw5-dev, libnl-3-dev, libnl-genl-3-dev, libpci-dev, pkg-config
+Build-Depends: debhelper (>= 9), dh-autoreconf, libncurses5-dev, libncursesw5-dev, libnl-3-dev, libnl-genl-3-dev, libpci-dev, pkg-config
 Standards-Version: 3.9.5
 Vcs-git: git://github.com/ghostbar/powertop.deb.git
 Vcs-browser: https://github.com/ghostbar/powertop.deb
 Homepage: https://01.org/powertop/
 
 Package: powertop
-Architecture: alpha amd64 armel armhf arm64 hppa i386 m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh4 sparc sparc64 x32
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: cpufrequtils, laptop-mode-tools
 Description: diagnose issues with power consumption and management
@@ -27,7 +26,7 @@
  available for CPU C and P states, device activity, and software activity.
 
 Package: powertop-dbg
-Architecture: alpha amd64 armel armhf arm64 hppa i386 m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh4 sparc sparc64 x32
+Architecture: linux-any
 Section: debug
 Depends: powertop (=${binary:Version}), ${misc:Depends}
 Description: debugging symbols for powertop

## powertop 2.8

=== debian/changelog ===
powertop (2.8-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:44:58 +0000

powertop (2.8-1) unstable; urgency=medium

  * new upstream release (Closes: #801873)

 -- Jose Luis Rivas <ghostbar@debian.org>  Fri, 06 Nov 2015 12:38:09 -0500

powertop (2.7-1) unstable; urgency=medium

  * New upstream version to unstable. (Closes: #795297)

 -- Jose Luis Rivas <ghostbar@debian.org>  Wed, 09 Sep 2015 08:41:21 -0500

powertop (2.7-1~exp1) experimental; urgency=medium

  * Update debian/watch (modified the one provided by bartm, thanks).
  * New upstream release:
    + RAPL: powercap sysfs used for power measurements.
    + ARM support for devfreq stats.
    + Added support to new Intel platforms.
    + Several bug fixes.
  * Update debian/copyright.
  * Bump standards version to 3.9.6, no changes needed.

 -- Julian Wollrath <jwollrath@web.de>  Mon, 24 Nov 2014 23:23:37 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,16 @@
 Priority: extra
 Maintainer: Jose Luis Rivas <ghostbar@debian.org>
 Uploaders: Patrick Winnertz <winnie@debian.org>, Julian Wollrath <jwollrath@web.de>
-Build-Depends: debhelper (>= 9), dh-autoreconf, libncurses5-dev, libncursesw5-dev, libnl-3-dev, libnl-genl-3-dev, libpci-dev, pkg-config
-Standards-Version: 3.9.5
+Build-Depends:
+ debhelper (>= 9),
+ dh-autoreconf,
+ libncurses5-dev,
+ libncursesw5-dev,
+ libnl-3-dev,
+ libnl-genl-3-dev,
+ libpci-dev,
+ pkg-config
+Standards-Version: 3.9.6
 Vcs-git: git://github.com/ghostbar/powertop.deb.git
 Vcs-browser: https://github.com/ghostbar/powertop.deb
 Homepage: https://01.org/powertop/

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

override_dh_strip:
	dh_strip --dbg-package=powertop-dbg

override_dh_auto_install:
	dh_auto_install --destdir=debian/powertop

override_dh_installdocs:
	dh_installdocs --link-doc=powertop

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((rc)\d*)$/$1~$2/ \
https://01.org/powertop/downloads \
(?:|.*/)powertop(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|tar_.\.xz|txz|tar\.bz2|tar_.\.bz|tbz2|tar\.gz|tar_.\.gz|tgz)

## powertop 2.9

=== debian/changelog ===
powertop (2.9-0ubuntu1) bionic; urgency=medium

  * New upstream release (LP: #1740861); fixes support for Kabylake and
    some other fixes.
  * d/patches/fix-configure.patch: Use AX_REQUIRE_DEFINED to avoid some
    aclocal loop

 -- Julian Andres Klode <juliank@ubuntu.com>  Sun, 01 Apr 2018 20:43:08 +0200

powertop (2.8-1build2) zesty; urgency=medium

  * No-change rebuild to pick up -fPIE compiler default in static
    libraries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Apr 2017 15:50:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: powertop
 Section: utils
 Priority: extra
-Maintainer: Jose Luis Rivas <ghostbar@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jose Luis Rivas <ghostbar@debian.org>
 Uploaders: Patrick Winnertz <winnie@debian.org>, Julian Wollrath <jwollrath@web.de>
 Build-Depends:
  debhelper (>= 9),

## powertop 2.11

=== debian/changelog ===
powertop (2.11-1) unstable; urgency=medium

  [ Kan-Ru Chen ]
  * New upstream version 2.11
  * debian/README.Debian: Added to explain how parameters collection works
    (Closes: #823701)
  * debian/patches: Add patch to use correct hciconfig binary path
    (Closes: #772571)

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Fri, 03 Jan 2020 23:37:27 +0900

powertop (2.10-1) unstable; urgency=medium

  [ Julian Wollrath ]
  * New upstream release (Closes: #732458, #793275, #857941):
    - Support POWER (Closes: #463034, #807610).
    - Update debian/copyright.
    - USB devices, that cannot be autosuspended are not shown anymore
      (Closes: #664455).
  * Bump standards version to 3.9.8 (no changes needed).
  * Drop manually generated debug package.
  * Update watchfile to look at GitHub.
  * Remove myself from uploaders.

  [ Ross Vandegrift ]
  * d/watch: fix filemangle
  * Avoid linking with ncurses (Thanks to Sven Joachim for this patch)
    (Closes: #898533)
  * Switch to dh compat 11
  * d/control:
    + Set Rules-Requires-Root to no
    + Bump Standards-Version to 4.3.0 (no changes required)
  * d/rules:
    + Enable build-time hardening
    + Drop unnecessary dh_installdocs override
  * d/gbp.conf: enable pristine-tar by default

  [ Kan-Ru Chen ]
  * New upstream version 2.10
  * d/control: point Vcs-* field to Salsa
  * d/control: Add myself and Ross Vandegrift as uploaders, remove
    Jose Luis Rivas and Patrick Winnertz (Closes: #931713)
  * d/watch: Use official tarball from upstream website
  * d/patches: drop 0001-Add-version-files-for-v2.9.patch

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Fri, 02 Aug 2019 22:15:56 +0900

=== debian/control ===
Source: powertop
Section: utils
Priority: optional
Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
Uploaders: Ross Vandegrift <rvandegrift@debian.org>
Build-Depends: debhelper-compat (= 11),
               libncurses-dev,
               libnl-3-dev,
               libnl-genl-3-dev,
               libpci-dev,
               pkg-config
Standards-Version: 4.3.0
Vcs-git: https://salsa.debian.org/debian/powertop.git
Vcs-browser: https://salsa.debian.org/debian/powertop
Homepage: https://01.org/powertop/
Rules-Requires-Root: no

Package: powertop
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: cpufrequtils, laptop-mode-tools
Description: diagnose issues with power consumption and management
 PowerTOP is a Linux tool to diagnose issues with power consumption and
 power management. In addition to being a diagnostic tool, PowerTOP also
 has an interactive mode you can use to experiment with various power
 management settings, for cases where the Linux distribution has not
 enabled those settings.
 .
 PowerTOP reports which components in the system are most likely to blame
 for higher-than-needed power consumption, ranging from software
 applications to active components in the system. Detailed screens are
 available for CPU C and P states, device activity, and software activity.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%powertop-$1.tar.gz%" \
    https://01.org/powertop/downloads \
    (?:.*?/)?powertop-v?(\d[\d.]*)\.tar\.gz debian uupdate

## powertop 2.14

=== debian/changelog ===
powertop (2.14-1build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:29:31 +0100

powertop (2.14-1) unstable; urgency=medium

  [ Kan-Ru Chen ]
  * New upstream version 2.14
  * Import patch to fix compatibility with ncurses 6.3 (Closes: #996640)
  * Import patches to fix autconf AX macros.
  * debian/powertop.install: Install powertop.service systemd unit from
    upstream.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Mon, 06 Dec 2021 00:48:34 +0900

powertop (2.13-2) unstable; urgency=medium

  [ Kan-Ru Chen ]
  * debian/rules: do not auto enable or start the systemd unit (Closes: #992222)

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Mon, 16 Aug 2021 14:56:44 +0900

powertop (2.13-1) unstable; urgency=medium

  [ Kan-Ru Chen ]
  * New upstream version 2.13
  * debian/watch: add upstream signing key
  * debian/patches: remove shebang from bash-completion file
  * debian/powertop.service: add powertop systemd service.
    Thanks to Sedat Dilek for the report (Closes: #983336, #687777)
  * debian/control: bump Standards-Version to 4.5.1, no changes needed.
  * debian/control: fix pedantic lintian warnings
  * debian/control: bump debhelper-compat to version 13.

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sun, 15 Aug 2021 22:54:04 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: powertop
 Section: utils
 Priority: optional
-Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
 Uploaders: Ross Vandegrift <rvandegrift@debian.org>
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 13),
                libncurses-dev,
                libnl-3-dev,
                libnl-genl-3-dev,
                libpci-dev,
-               pkg-config
-Standards-Version: 4.3.0
-Vcs-git: https://salsa.debian.org/debian/powertop.git
-Vcs-browser: https://salsa.debian.org/debian/powertop
+               pkg-config,
+	       autoconf-archive
+Standards-Version: 4.5.1
+Vcs-Git: https://salsa.debian.org/debian/powertop.git
+Vcs-Browser: https://salsa.debian.org/debian/powertop
 Homepage: https://01.org/powertop/
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%powertop-$1.tar.gz%,pgpmode=auto" \
    https://01.org/powertop/downloads \
    (?:.*?/)?powertop-v?(\d[\d.]*)\.tar\.gz debian uupdate

## powertop 2.15

=== debian/changelog ===
powertop (2.15-5) unstable; urgency=medium

  [ Kan-Ru Chen ]
  * Install systemd-preset to disable powertop.service by default
    (Closes: #1118529)

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sat, 25 Oct 2025 10:23:18 +0900

powertop (2.15-4) unstable; urgency=medium

  [ Kan-Ru Chen ]
  * debian/patches: fix FTBFS with gettext 0.23.x (Closes: #1092234)

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sun, 19 Jan 2025 14:05:31 +0000

powertop (2.15-3) unstable; urgency=medium

  [ Kan-Ru Chen ]
  * Install systemd unit into /usr.
    Thanks to Michael Biebl <biebl@debian.org> (Closes: #1064317)
  * debian/control: build-dep pkg-config => pkgconf
  * debian/control: update upstream url
  * Remove unused upstream signing key

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Tue, 20 Feb 2024 20:51:33 +0900

powertop (2.15-2) unstable; urgency=medium

  [ Rohan Jain ]
  * Ensure that auto-tune is executed on resume as well

  [ Kan-Ru Chen ]
  * Clean generated .gmo files. (Closes: #1046270)

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sun, 19 Nov 2023 21:38:07 +0900

powertop (2.15-1) unstable; urgency=medium

  [ Safir Secerovic ]  
  * Updated debian/watch file.
  * New upstream version 2.15
  * Removed: 
      0004-src-fix-compatibility-with-ncurses-6.3.patch, 
      0005-Revert-configure-Remove-AX-macros-from-configure.ac-.patch and  
      0006-configure-Use-AX_REQUIRE_DEFINED.patch
      since they have been upstreamed.

  [ Kan-Ru Chen ]
  * debian/control: bump standards-version to 4.6.2, no changes needed

 -- Kan-Ru Chen (陳侃如) <koster@debian.org>  Sun, 09 Jul 2023 06:43:54 +0900

powertop (2.14-2) UNRELEASED; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Re-export upstream signing key without extra signatures.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Safir Secerovic <sapphire@linux.org.ba>  Tue, 21 Mar 2023 02:00:10 -0600

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: powertop
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
+Maintainer: Kan-Ru Chen (陳侃如) <koster@debian.org>
 Uploaders: Ross Vandegrift <rvandegrift@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libncurses-dev,
                libnl-3-dev,
                libnl-genl-3-dev,
                libpci-dev,
-               pkg-config,
+               pkgconf,
 	       autoconf-archive
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/powertop.git
 Vcs-Browser: https://salsa.debian.org/debian/powertop
-Homepage: https://01.org/powertop/
+Homepage: https://github.com/fenrus75/powertop
 Rules-Requires-Root: no
 
 Package: powertop

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_installsystemd:
	dh_installsystemd --no-start --no-enable

%:
	dh $@

=== debian/watch ===
version=4
https://github.com/fenrus75/powertop/tags \
/fenrus75/powertop/archive/refs/tags/v(.+)\.tar\.gz
